Skip to main content
PATCH
/
entitlements
/
{entitlement_id}
/
customer
/
{customer_id}
/
{ec_id}
Update customer entitlement
curl --request PATCH \
  --url https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "entitlement": "<string>",
  "customer": "<string>",
  "expiry_at": "2023-11-07T05:31:56Z",
  "active_from": "2023-11-07T05:31:56Z",
  "quantity": 123,
  "quantity_used": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expiry_at": "2023-11-07T05:31:56Z",
  "active_from": "2023-11-07T05:31:56Z",
  "quantity": 123,
  "quantity_used": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

entitlement_id
string<uuid>
required
customer_id
string<uuid>
required
ec_id
string<uuid>
required

Body

application/json

Update Entitlement Request Schema

entitlement
string
required

Entitlement ID

customer
string
required

Customer ID

expiry_at
string<date-time> | null

Entitlement Expiry Time

active_from
string<date-time> | null

Entitlement Active From

quantity
number | null

Entitlement Units assigned

quantity_used
number | null

Entitlement Units Consumed

Response

Successful Response

Create Entitlement Customer Request Schema

id
string<uuid>
required

Entitlement Customer Row Id

entitlement
string<uuid>
required

Entitlement ID

customer
string<uuid>
required

Customer ID

expiry_at
string<date-time> | null

Entitlement Expiry Time

active_from
string<date-time> | null

Entitlement Active From

quantity
number | null

Entitlement Units assigned

quantity_used
number | null

Entitlement Units Consumed

created_at
string<date-time> | null

created time